package com.wechat.common.entity.merchant.RegisterMerchant;

import java.util.List;

public class MiniProgramInformation {
	
	/**
	 * 1、服务商小程序APPID与商家小程序APPID，二选一必填。
		2、可填写当前服务商商户号已绑定的小程序APPID。 
		示例值：wx1234567890123456
	 */
	//服务商商户号已绑定的小程序APPID
	private String miniProgramAppid;
	
	//商家主体一致且已认证的小程序APPID
	private String miniProgramSubAppid;
	
	/**
	 * 1、请提供展示商品/服务的页面截图/设计稿（最多5张）。
		2、请填写通过图片上传接口预先上传图片生成好的MediaID。 
		首次提交未成功进件，二次提交时必填
	 */
	private List<String> miniProgramPicsMediaID;
	
	//图片url
	private List<String> miniProgramPicsUrl;

	public String getMiniProgramAppid() {
		return miniProgramAppid;
	}

	public void setMiniProgramAppid(String miniProgramAppid) {
		this.miniProgramAppid = miniProgramAppid;
	}

	public String getMiniProgramSubAppid() {
		return miniProgramSubAppid;
	}

	public void setMiniProgramSubAppid(String miniProgramSubAppid) {
		this.miniProgramSubAppid = miniProgramSubAppid;
	}

	public List<String> getMiniProgramPicsMediaID() {
		return miniProgramPicsMediaID;
	}

	public void setMiniProgramPicsMediaID(List<String> miniProgramPicsMediaID) {
		this.miniProgramPicsMediaID = miniProgramPicsMediaID;
	}

	public List<String> getMiniProgramPicsUrl() {
		return miniProgramPicsUrl;
	}

	public void setMiniProgramPicsUrl(List<String> miniProgramPicsUrl) {
		this.miniProgramPicsUrl = miniProgramPicsUrl;
	}
	
	
	
}
