package com.wechat.common.entity.merchant;

import com.wechat.common.entity.merchant.bank_account_info.BankAccountInfo;
import com.wechat.common.entity.merchant.business_info.BusinessInfo;
import com.wechat.common.entity.merchant.contact_info.ContactInfo;
import com.wechat.common.entity.merchant.settlement_info.SettlementInfo;
import com.wechat.common.entity.merchant.subject_info.SubjectInfo;


/**
 * 
 *请求微信商户入驻实体类
 */
public class WeChatMerchant {
	
	//外部申请单号
	private String order_code;
	
	//业务申请编号
	private String business_code;
	
	//超级管理员信息
	private ContactInfo contact_info;
	
	//主体资料
	private SubjectInfo subject_info;
	
	//经营资料
	private BusinessInfo business_info;
	
	//结算规则
	private SettlementInfo settlement_info;
	
	//结算银行账户
	private BankAccountInfo bank_account_info;

	public String getBusiness_code() {
		return business_code;
	}

	public void setBusiness_code(String business_code) {
		this.business_code = business_code;
	}

	public ContactInfo getContact_info() {
		return contact_info;
	}

	public void setContact_info(ContactInfo contact_info) {
		this.contact_info = contact_info;
	}

	public SubjectInfo getSubject_info() {
		return subject_info;
	}

	public void setSubject_info(SubjectInfo subject_info) {
		this.subject_info = subject_info;
	}

	public BusinessInfo getBusiness_info() {
		return business_info;
	}

	public void setBusiness_info(BusinessInfo business_info) {
		this.business_info = business_info;
	}

	public SettlementInfo getSettlement_info() {
		return settlement_info;
	}

	public void setSettlement_info(SettlementInfo settlement_info) {
		this.settlement_info = settlement_info;
	}

	public BankAccountInfo getBank_account_info() {
		return bank_account_info;
	}

	public void setBank_account_info(BankAccountInfo bank_account_info) {
		this.bank_account_info = bank_account_info;
	}

	public String getOrder_code() {
		return order_code;
	}

	public void setOrder_code(String order_code) {
		this.order_code = order_code;
	}
	
	
	
}
