package com.wechat.common.entity.merchant.business_info;

import java.util.ArrayList;
import java.util.List;

public class MiniProgramInfo {
	
	//小程序APPID
	/**
	 * 1、服务商小程序APPID与商家小程序APPID，二选一必填。
		2、可填写当前服务商商户号已绑定的小程序APPID。 
		示例值：wx1234567890123456
	 */
	private String mini_program_appid;
	
	/**
	 * 1、服务商小程序APPID与商家小程序APPID，二选一必填。
		2、可填写与商家主体一致且已认证的小程序APPID，需是已认证的小程序。
		3、审核通过后，系统将发起特约商家商户号与该AppID的绑定（即配置为sub_appid），服务商随后可在发起支付时选择传入该appid，以完成支付，并获取sub_openid用于数据统计，营销等业务场景。 
		示例值：wx1234567890123456
	 */
	private String mini_program_sub_appid;
	
	/**
	 * 1、请提供展示商品/服务的页面截图/设计稿（最多5张）。
		2、请填写通过图片上传接口预先上传图片生成好的MediaID。 
		首次提交未成功进件，二次提交时必填
	 */
	private List<String> mini_program_pics;


	public List<String> getMini_program_pics() {
		return mini_program_pics;
	}

	public void setMini_program_pics(List<String> mini_program_pics) {
		this.mini_program_pics = mini_program_pics;
	}

	public String getMini_program_appid() {
		return mini_program_appid;
	}

	public void setMini_program_appid(String mini_program_appid) {
		this.mini_program_appid = mini_program_appid;
	}

	public String getMini_program_sub_appid() {
		return mini_program_sub_appid;
	}

	public void setMini_program_sub_appid(String mini_program_sub_appid) {
		this.mini_program_sub_appid = mini_program_sub_appid;
	}

	public MiniProgramInfo() {
		super();
		this.mini_program_pics = new ArrayList<String>();
	}

	
	
	
	
}
