package com.wechat.common.entity.merchant.business_info;

import java.util.ArrayList;
import java.util.List;

public class MpInfo {
	
	//服务商公众号APPID
	/**
	 * 1、服务商公众号APPID与商家公众号APPID，二选一必填。
		2、可填写当前服务商商户号已绑定的公众号APPID。 
		示例值：wx1234567890123456
	 */
	private String mp_appid;
	
	//商家公众号APPID
	/**
	 * 1、服务商公众号APPID与商家公众号APPID，二选一必填。
		2、可填写与商家主体一致且已认证的公众号APPID，需是已认证的服务号、政府或媒体类型的订阅号。
		3、审核通过后，系统将发起特约商家商户号与该AppID的绑定（即配置为sub_appid），服务商随后可在发起支付时选择传入该appid，以完成支付，并获取sub_openid用于数据统计，营销等业务场景 。 
		示例值：wx1234567890123456
	 */
	private String mp_sub_appid;
	
	//公众号页面截图
	/**
	 * 1、请提供展示商品/服务的页面截图/设计稿（最多5张）。
		2、请填写通过图片上传接口预先上传图片生成好的MediaID。 
		首次提交未成功进件，二次提交时必填
	 */
	private List<String> mp_pics;
	
	
	public MpInfo() {
		super();
		this.mp_appid = "";
		this.mp_sub_appid = "";
		this.mp_pics = new ArrayList<String>();
	}

	public String getMp_appid() {
		return mp_appid;
	}

	public void setMp_appid(String mp_appid) {
		this.mp_appid = mp_appid;
	}

	public String getMp_sub_appid() {
		return mp_sub_appid;
	}

	public void setMp_sub_appid(String mp_sub_appid) {
		this.mp_sub_appid = mp_sub_appid;
	}

	public List<String> getMp_pics() {
		return mp_pics;
	}

	public void setMp_pics(List<String> mp_pics) {
		this.mp_pics = mp_pics;
	}

	
	
	
}
