package com.wechat.common.entity.register;


import com.alibaba.fastjson.JSONObject;
import com.wechat.common.util.StringUtil;

public class KtjRegisterData {

	
	private Long id;

	// 业务申请编号
	private String businessCode;

	// 微信支付申请单号
	private String applymentId;

	// 特约商户号
	private String subMchid;

	// 超级管理员签约链接
	private String signUrl;

	// 申请单状态
	private String applymentState;

	// 申请状态描述
	private String applymentStateMsg;

	// 字段名
	private String field;

	// 字段名称
	private String fieldName;

	// 驳回原因
	private String rejectReason;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getBusinessCode() {
		return businessCode;
	}

	public void setBusinessCode(String businessCode) {
		this.businessCode = businessCode;
	}

	public String getApplymentId() {
		return applymentId;
	}

	public void setApplymentId(String applymentId) {
		this.applymentId = applymentId;
	}

	public String getSubMchid() {
		return subMchid;
	}

	public void setSubMchid(String subMchid) {
		this.subMchid = subMchid;
	}

	public String getSignUrl() {
		return signUrl;
	}

	public void setSignUrl(String signUrl) {
		this.signUrl = signUrl;
	}

	public String getApplymentState() {
		return applymentState;
	}

	public void setApplymentState(String applymentState) {
		this.applymentState = applymentState;
	}

	public String getApplymentStateMsg() {
		return applymentStateMsg;
	}

	public void setApplymentStateMsg(String applymentStateMsg) {
		this.applymentStateMsg = applymentStateMsg;
	}

	public String getField() {
		return field;
	}

	public void setField(String field) {
		this.field = field;
	}

	public String getFieldName() {
		return fieldName;
	}

	public void setFieldName(String fieldName) {
		this.fieldName = fieldName;
	}

	public String getRejectReason() {
		return rejectReason;
	}

	public void setRejectReason(String rejectReason) {
		this.rejectReason = rejectReason;
	}

	// 属性赋值
	public void upInfo(RegisterData registerData) {
		this.businessCode = registerData.getBusiness_code();
		this.applymentId = registerData.getApplyment_id();
		this.subMchid = registerData.getSub_mchid();
		this.signUrl = registerData.getSign_url();
		this.applymentState = registerData.getApplyment_state();
		this.applymentStateMsg = registerData.getApplyment_state_msg();
		System.out.println(registerData.getAudit_detail());
		if(!StringUtil.isEmpty(registerData.getAudit_detail()) && !"[]".equals(registerData.getAudit_detail())){
			String aa = registerData.getAudit_detail().replaceAll("\\[", "").replaceAll("]", "");
			AuditDetail auditDetail = JSONObject.parseObject(aa, AuditDetail.class);
			this.field = auditDetail.getField();
			this.fieldName = auditDetail.getField_name();
			this.rejectReason = auditDetail.getReject_reason();
		}
		
	}

}
