package com.wechat.common.entity.sepAccount;


import org.beetl.sql.core.annotatoin.AutoID;

public class KtjSepRecord {
    @AutoID
    private Integer id;
    private String outOrderNo;
    private Integer orderId;//
    private String subMchId;//特约商户
    private String wxOrderNo;//微信分账处理的id
    private Integer amount;//分账金额
    private String transactionId;// 微信支付单号
    
    /**
     * 分账单状态：
     * ACCEPTED—受理成功
     * PROCESSING—处理中
     * FINISHED—处理完成
     * CLOSED—处理失败，已关单
     */
    private String status;
    private Long createTime;//创建时间
    private Long finishTime;//分账成功时间
    private Boolean isSep;// 是否分账成功 0 没有 1成功 定时任务根据 sep=0 去查询

    public Boolean getSep() {
        return isSep;
    }

    public void setSep(Boolean sep) {
        isSep = sep;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOutOrderNo() {
        return outOrderNo;
    }

    public void setOutOrderNo(String outOrderNo) {
        this.outOrderNo = outOrderNo;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public String getSubMchId() {
        return subMchId;
    }

    public void setSubMchId(String subMchId) {
        this.subMchId = subMchId;
    }

    public String getWxOrderNo() {
        return wxOrderNo;
    }

    public void setWxOrderNo(String wxOrderNo) {
        this.wxOrderNo = wxOrderNo;
    }


    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
    
    
	public Long getFinishTime() {
		return finishTime;
	}

	public void setFinishTime(Long finishTime) {
		this.finishTime = finishTime;
	}

	@Override
	public String toString() {
		return "KtjSepRecord [id=" + id + ", outOrderNo=" + outOrderNo
				+ ", orderId=" + orderId + ", subMchId=" + subMchId
				+ ", wxOrderNo=" + wxOrderNo + ", amount=" + amount
				+ ", transactionId=" + transactionId + ", status=" + status
				+ ", createTime=" + createTime + ", isSep=" + isSep + "]";
	}
    
    
}
