package com.wechat.common.response;

/**
 * 状态码工具类
 * @author 86151
 *
 */
public class RespCode {
	/**请求成功**/
    public final static int SUCCESS = 0; 
    
    /**请求失败**/
    public final static int FAIL = -1;
    
    /**未登录**/
    public final static int UN_LOGIN = -100; 
    
    /**找不到请求地址**/
    public final static int NOT_FOUND = 404;       
    
    /**服务器错误**/
    public final static int SERVER_ERROR = 500; 
    
    /**网络超时重试*/
    public final static int RETRY_CODE = -50;		
    
    /**token失效**/
    public final static int INVALID_TOKEN = 402;        
}
