package com.wechat.core;

import com.wechat.service.sepAccount.ISepAccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;


@Component
public class KtjTimeUnit {


    @Autowired
    private ISepAccountService iSepAccountService;

    private static final long TIME_RATE = 5*1000*60;
    @Scheduled(fixedDelay = TIME_RATE,initialDelay = TIME_RATE)
    public void handleSepAccountOrderNo(){
        try {
            iSepAccountService.doFindSepAccountResult();
        }catch (Exception e){
        }
    }


}
