queryRefundOrder
===
SELECT 
  kro.id,
  kro.refund_status,
  kro.refund_message,
  kro.sub_mchid,
  kro.refund_id,
  kmd.mini_program_sub_appid 
FROM
  (SELECT 
    id,
    refund_status,
    refund_message,
    sub_mchid,
    refund_id 
    FROM
      ktj_refund_order WHERE refund_id = #refundId#) kro 
    LEFT JOIN ktj_merchant_details kmd 
      ON kro.sub_mchid = kmd.sub_mchid
      
queryRefundMoney
===
SELECT 
  SUM(refund_fee) AS refund_fee
FROM
  ktj_refund_order 
WHERE refund_status = 1 
  AND sub_mchid = #subMchid# 
  AND refund_success_time >= #startTime#
  AND refund_success_time <= #endTime#