package com.wechat.common.entity;

import org.beetl.sql.core.annotatoin.AutoID;

/**
 * 上传基础类
 */
public class KtjUploadBase {
    @AutoID
    private Integer id;
    private String baseUrl;//访问url
    private String fileName;//文件名称
    private String filePath;//文件相对路径
    private Long createTime;//创建时间
    private String orgName;//原文件名字
    private String mediaId;//微信上传图片mediaId

    @Override
    public String toString() {
        return "KtjUploadBase{" +
                "id=" + id +
                ", baseUrl='" + baseUrl + '\'' +
                ", fileName='" + fileName + '\'' +
                ", filePath='" + filePath + '\'' +
                ", createTime=" + createTime +
                ", orgName='" + orgName + '\'' +
                ", mediaId='" + mediaId + '\'' +
                '}';
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getBaseUrl() {
        return baseUrl;
    }

    public void setBaseUrl(String baseUrl) {
        this.baseUrl = baseUrl;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getMediaId() {
        return mediaId;
    }

    public void setMediaId(String mediaId) {
        this.mediaId = mediaId;
    }
}
