package com.wechat.common.entity.merchant.business_info;

import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;

import com.wechat.common.entity.merchant.WeChatMerchant;
import com.wechat.common.entity.merchant.RegisterMerchant.RegisterMerchant;
import com.wechat.common.util.StringUtil;

public class BusinessInfo {
	
	//商户简称
	private String merchant_shortname;
	
	//客服电话
	private String service_phone;
	
	//经营场景
	private SalesInfo sales_info;

	public String getMerchant_shortname() {
		return merchant_shortname;
	}

	public void setMerchant_shortname(String merchant_shortname) {
		this.merchant_shortname = merchant_shortname;
	}

	public String getService_phone() {
		return service_phone;
	}

	public void setService_phone(String service_phone) {
		this.service_phone = service_phone;
	}

	public SalesInfo getSales_info() {
		return sales_info;
	}

	public void setSales_info(SalesInfo sales_info) {
		this.sales_info = sales_info;
	}

	public boolean setInfo(RegisterMerchant registerMerchant, WeChatMerchant wm) throws UnsupportedEncodingException {
		//经营场景
		SalesInfo salesInfo = new SalesInfo();
		salesInfo.getSales_scenes_type().addAll(registerMerchant.getSalesScenesType());
		//小程序
		if(salesInfo.getSales_scenes_type().contains("SALES_SCENES_MINI_PROGRAM")){
			//小程序信息 - start
			MiniProgramInfo miniProgramInfo = new MiniProgramInfo();
			if(!StringUtil.isEmpty(registerMerchant.getMiniProgramSubAppid())){
				miniProgramInfo.setMini_program_sub_appid(registerMerchant.getMiniProgramSubAppid());
			}else{
				miniProgramInfo.setMini_program_appid(registerMerchant.getMiniProgramAppid());
			}
			miniProgramInfo.getMini_program_pics().addAll(registerMerchant.getMiniProgramPicsMediaID());
			salesInfo.setMini_program_info(miniProgramInfo);
			//小程序信息 - end
		}
		//线下门店
		if(salesInfo.getSales_scenes_type().contains("SALES_SCENES_STORE")){
			
		}
		//公众号
		if(salesInfo.getSales_scenes_type().contains("SALES_SCENES_MP")){
			
		}
		//互联网
		if(salesInfo.getSales_scenes_type().contains("SALES_SCENES_WEB")){
			
		}
		//APP
		if(salesInfo.getSales_scenes_type().contains("SALES_SCENES_APP")){
			
		}
		//企业微信
		if(salesInfo.getSales_scenes_type().contains("SALES_SCENES_MINI_PROGRAM")){
			
		}
		this.setMerchant_shortname(URLDecoder.decode(registerMerchant.getMerchantAbbr(),"UTF-8"));
		this.setService_phone(registerMerchant.getServicePhone());
		this.setSales_info(salesInfo);
		wm.setBusiness_info(this);
		return true;
	}
	
	
	
}
