package com.wechat.common.entity.merchant.business_info;

import java.util.ArrayList;
import java.util.List;

public class WeworkInfo {
	
	//商家企业微信CorpID
	/**
	 * 1、可填写与商家主体一致且已认证的企业微信CorpID。
		2、审核通过后，系统将为商家开通企业微信专区的自有交易权限，并完成商家商户号与该APPID的绑定，商家可自行发起交易。 
		示例值：wx1234567890123456
	 */
	private String sub_corp_id;
	
	//企业微信页面截图
	/**
	 * 1、最多可上传5张照片。
		2、请填写通过图片上传接口预先上传图片生成好的MediaID。
	 */
	private List<String> wework_pics;
	
	public WeworkInfo() {
		super();
		this.sub_corp_id = "";
		this.wework_pics = new ArrayList<String>();
	}

	public String getSub_corp_id() {
		return sub_corp_id;
	}

	public void setSub_corp_id(String sub_corp_id) {
		this.sub_corp_id = sub_corp_id;
	}

	public List<String> getWework_pics() {
		return wework_pics;
	}

	public void setWework_pics(List<String> wework_pics) {
		this.wework_pics = wework_pics;
	}

	
}
