package com.wechat.common.entity.merchant.subject_info;

import java.io.IOException;
import java.security.cert.X509Certificate;

import javax.crypto.IllegalBlockSizeException;

import com.wechat.common.util.serial.WechatpaySerial;

public class IdDocInfo {
	
	//证件照片
	private String id_doc_copy;
	
	//证件姓名
	private String id_doc_name;
	
	//证件号码
	private String id_doc_number;
	
	//证件有效期开始时间
	private String doc_period_begin;
	
	//证件有效期结束时间
	private String doc_period_end;
	
	
	
	
	public IdDocInfo() {
		super();
		this.id_doc_copy = "";
		this.id_doc_name = "";
		this.id_doc_number = "";
		this.doc_period_begin = "";
		this.doc_period_end = "";
	}

	public String getId_doc_copy() {
		return id_doc_copy;
	}

	public void setId_doc_copy(String id_doc_copy) {
		this.id_doc_copy = id_doc_copy;
	}

	public String getId_doc_name() {
		return id_doc_name;
	}

	public void setId_doc_name(String id_doc_name) {
		this.id_doc_name = id_doc_name;
	}

	public String getId_doc_number() {
		return id_doc_number;
	}

	public void setId_doc_number(String id_doc_number) {
		this.id_doc_number = id_doc_number;
	}

	public String getDoc_period_begin() {
		return doc_period_begin;
	}

	public void setDoc_period_begin(String doc_period_begin) {
		this.doc_period_begin = doc_period_begin;
	}

	public String getDoc_period_end() {
		return doc_period_end;
	}

	public void setDoc_period_end(String doc_period_end) {
		this.doc_period_end = doc_period_end;
	}

	public void encryption(X509Certificate certificate) {
		try {
			this.id_doc_number = WechatpaySerial.rsaEncryptOAEP(this.id_doc_number, certificate);
			this.id_doc_name = WechatpaySerial.rsaEncryptOAEP(this.id_doc_name, certificate);
		} catch (IllegalBlockSizeException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
}
