package com.wechat.common.enums;


public enum RefundStatus {
	REFUND_SUCCESS(1,"SUCCESS","退款成功"),
	REFUND_PROCESSING(2,"PROCESSING","退款处理中"),
	REFUND_CHANGE(3,"CHANGE","退款异常"),
	REFUND_REFUNDCLOSE(4,"REFUNDCLOSE","退款关闭"),
	REFUND_BEFOREHAND(5,"CHANGE","预退款，还没开始调用微信");
	
	private int id;
	
	private String status;
	
	private String type;

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	private RefundStatus(int id, String status, String type) {
		this.id = id;
		this.status = status;
		this.type = type;
	}
	
	public static Integer getIdByType(String status){
		for (RefundStatus re : RefundStatus.values()) {
			if(re.getType().equals(status)){
				
				return re.getId();
			}
		}
		return null;
		
	}
	

	
}
