package com.wechat.config;

import com.zaxxer.hikari.HikariDataSource;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.sql.DataSource;

/**
 * 数据库配置
 */
@Configuration
public class DBConfig {
    @ConfigurationProperties(prefix = "comtika.db")
    @Bean(name = "dataSource")
    public DataSource dataSource() {
        return  new HikariDataSource();
    }
}
