package com.wechat.controller;


import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import com.wechat.common.entity.SysUser;
import com.wechat.common.response.RespWrapper;
import com.wechat.dao.UserDao; 

@RestController
public class TestMysqlController {
	
	@Autowired
	private UserDao userDao;
	
	@GetMapping("/queryMysql")
	public RespWrapper<List<SysUser>> queryMysql(){
		return RespWrapper.makeSuccessResp(userDao.queryUser());
	}
}
