package com.wechat.controller.photo;

import com.alibaba.fastjson.JSONObject;
import com.wechat.service.upload.IUploadService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import com.wechat.common.response.RespWrapper;

/**
 * 上传基础模块
 */
@RestController
@RequestMapping("/photo")
public class PhotoController {
	@Autowired
	private IUploadService iUploadService;

	//微信
	@PostMapping("/weChatUpload")
	public RespWrapper<JSONObject> weChatUpload(MultipartFile file){
		return iUploadService.weChatUpload(file);
	}


	//微信图片上传接口
	@PostMapping("/baseUpload")
	public RespWrapper<JSONObject> baseUpload(MultipartFile file){
		return iUploadService.baseUpload(file);
	}

}
