package com.wechat.service.pay;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.wechat.common.entity.participation.RefundParticipation;
import com.wechat.common.entity.pay.jsapi.JsapiUnifiedOrder;
import com.wechat.common.response.RespWrapper;



public interface WeChatPayJsapiService {

	RespWrapper<Object> jsapiUnifiedOrder(JsapiUnifiedOrder unifiedOrder);

	void notifyOrder(HttpServletRequest request, HttpServletResponse response);

	RespWrapper<Object> refundByOutOrderNo(RefundParticipation params);

	void notifyRefund(HttpServletRequest request, HttpServletResponse response);

	RespWrapper<Object> queryRefundByrefundId(String outRefundNo);

	RespWrapper<Object> queryWechatRefundStatus(String refundId);

	RespWrapper<Object> querySubLedgerBill(String subMchid, String billDate);
   
}
