package com.wechat.service.sepAccount;

import com.wechat.common.entity.sepAccount.KtjSepRecord;
import com.wechat.common.entity.sepAccount.KtjSepUser;
import com.wechat.common.entity.sepAccount.help.SepUserHandleHelp;
import com.wechat.common.entity.sepAccount.help.UserSepReceiver;
import com.wechat.common.response.RespWrapper;

import java.util.List;
import java.util.Map;

public interface ISepAccountService {
    RespWrapper<Boolean> addSepReceive(UserSepReceiver userSepReceiver);

    RespWrapper<List<KtjSepUser>> findSepUserList(SepUserHandleHelp help);

    RespWrapper<String> sepAccountHandle(SepUserHandleHelp handleHelp);

    RespWrapper<String> findSepAccountResult(String outOrderNo);

    RespWrapper<Boolean> noSepAccountHandle(SepUserHandleHelp handleHelp);


    void doFindSepAccountResult();

}
