querySubLedgerBill
===
SELECT 
  IFNULL(SUM(amount),0) AS amount
FROM
  ktj_sep_record 
WHERE sub_mch_id = #subMchid# 
  AND STATUS = 'FINISHED' 
  AND finish_time >= #startTime#
  AND finish_time <= #endTime#
  
querySubReceiversUser
===
SELECT 
  fail_reason,
  finish_time,
  receivers_result,
  user_account,
  user_type,
  amount,
  name 
FROM
  ktj_receivers_user 
WHERE finish_time >= #startTime#
  AND finish_time <= #endTime#
  AND sub_mchid =#subMchid#